For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dashboard
How It WorksKnowledge BaseOnboardingVideo TutorialsPMS GuidanceAPI ReferenceRelease Notes
    • Overview
    • PMS Generic APIs
    • CRM Generic APIs
    • PMS APIs
        • GETGet all leases
        • GETGet a lease by ID
        • POSTCreate Lease: ResMan - Not Supported
        • PUTUpdate Lease: ResMan
        • POSTCreate Lease file: ResMan - Not Supported
    • CRM APIs
    • Download OpenAPI Spec
Dashboard
LogoLogo
ResManLeases

Get all leases

GET
/v1/leases/
GET
/v1/leases/
$curl https://api.propexo.com/v1/leases/ \
> -H "Authorization: Bearer <token>"
1{
2 "meta": {
3 "orderBy": [
4 {}
5 ],
6 "offset": 0,
7 "limit": 100,
8 "hasMore": true,
9 "total": 1000
10 },
11 "results": [
12 {
13 "id": "clwktsp9v000008l31iv218hn",
14 "created_at": "2024-03-21T15:38:08.337Z",
15 "updated_at": "2024-03-22T10:59:45.119Z",
16 "last_seen": "2024-03-22T10:59:45.119Z",
17 "x_id": "f526684a-e2c3-4425-bc65-559fa015fd5b",
18 "x_property_id": "ae9994dd-846f-4466-9752-306df25f7882",
19 "x_unit_id": "7c5d3a37-2715-4cad-84d6-8d34d47b752d",
20 "application_date": "2024-01-01T00:00:00Z",
21 "custom_data": {},
22 "deposit_amount": null,
23 "deposit_amount_in_cents": null,
24 "deposit_date": null,
25 "end_date": "2024-01-01T00:00:00Z",
26 "realized_move_in_date": "2023-10-31T00:00:00.000Z",
27 "realized_move_out_date": "2025-01-01",
28 "rent_amount_in_cents": 150000,
29 "rent_amount_market_in_cents": null,
30 "rent_due_day": null,
31 "rent_due_date": null,
32 "scheduled_move_in_date": "2023-10-31T00:00:00.000Z",
33 "scheduled_move_out_date": "2025-01-01T00:00:00Z",
34 "signature_date": "2024-01-02T00:00:00.000Z",
35 "start_date": "2024-01-01T00:00:00Z",
36 "status_normalized": "ACTIVE",
37 "status_raw": "Current",
38 "term": null,
39 "type": null,
40 "unit_number": "14",
41 "write_off_amount_in_cents": null,
42 "write_off_amount_raw": null,
43 "balance_amount_in_cents": 100000,
44 "balance_amount_raw": "string",
45 "past_due_balance_in_cents": null,
46 "past_due_balance_raw": null,
47 "unit_id": null,
48 "property_id": "clwi5xiix000008l6ctdgafyh",
49 "integration_id": "clwh5u07w000508me66sfh3um",
50 "integration_vendor": "RESMAN",
51 "services": [
52 {
53 "id": "clwktsp9v000008l31iv218hn",
54 "created_at": "2024-03-21T15:38:08.337Z",
55 "updated_at": "2024-03-22T10:59:45.119Z",
56 "last_seen": "2024-03-22T10:59:45.119Z",
57 "name": "string",
58 "lease_id": "string"
59 }
60 ],
61 "x_resident_id": null,
62 "status": null,
63 "residents_meta_data": [
64 {
65 "resident_id": "clyq4plkc0002ysoz5y4r9o2y",
66 "x_resident_type": "Head of Household",
67 "resident_type_normalized": "PRIMARY",
68 "move_in_date": "2024-11-22",
69 "move_out_date": "2025-11-22",
70 "notice_date": "2024-03-21T00:00:00.000Z",
71 "custom_data": {},
72 "last_seen": "2024-03-22T10:59:45.119Z"
73 }
74 ]
75 }
76 ]
77}
Get all leases
Was this page helpful?
Previous

Get a lease by ID

Next
Built with

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Query parameters

order-bystringOptionalDefaults to created_at:desc

Order the results by a field. Optionally include asc or desc preceded by a colon (default is asc). Example: ?order-by=updated_at:desc

updated_at_gtestring or nullOptional

Filter to records updated at or after this datetime. Format: ISO 8601 (e.g. 2026-01-01T00:00:00Z)

updated_at_ltestring or nullOptional

Filter to records updated at or before this datetime. Format: ISO 8601 (e.g. 2026-12-31T23:59:59Z)

offsetinteger or nullOptional>=0Defaults to 0
Can be used for paginating results
limitinteger or nullOptional0-250Defaults to 100
A number between 1 and 250 to determine the number of results to return in a single query
x_idstringOptional
The external lease id
x_property_idstringOptional

Deprecated: Use the Propexo property_id instead

x_unit_idstringOptional

Deprecated: Use the Propexo unit_id instead

location_idstringOptional

The Propexo unique identifier for the location associated with the property (exclusive to Rent Manager integrations). This is always null for non-Rent Manager integrations.

unit_idstringOptional
The Propexo unique identifier for the unit
resident_idstringOptional

The Propexo unique identifier for the resident. If you use this filter in conjunction with one of the move-in/move-out date filters, it will not be honored and will be overridden by the date filter.

property_idstringOptional
The Propexo unique identifier for the property
integration_idstringOptional
The Propexo unique identifier for the integration
before_move_in_datestring or nullOptional

Filter to residents moving in before this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.

after_move_in_datestring or nullOptional

Filter to residents moving in after this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.

before_move_out_datestring or nullOptional

Filter to residents moving out before this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.

after_move_out_datestring or nullOptional

Filter to residents moving out after this date. Format: YYYY-MM-DD. Date filter combinations will act with AND logic on a single record.

only_null_move_outsboolean or stringOptional

Filter to only return leases where the move-out date is null

integration_vendorenumOptional
The property management system of record
status_normalizedenumOptional
The normalized status for the lease
Allowed values:
status_rawstringOptional
The raw status associated with the lease
unit_numberstringOptional

The unit number of the lease. When using this, the Propexo property_id filter must be added as well.

Response

Successful response
metaobject
resultslist of objects

Errors

400
Bad Request Error